// Final shaders for CMM Australia

textures/cmm_australia/thesky
{
	q3map_lightRGB 1 1 .93
	q3map_skylight 481 6
	surfaceparm nomarks
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1.000000 0.997119 0.99 260 90 55 2 4
	q3map_nolightmap
	skyparms env/cmm_australia/sky - -
}
textures/cmm_australia/decal_1
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
		map textures/cmm_australia/decal_1.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/cmm_australia/glass
{
	cull none
	{
		map textures/cmm_australia/glass.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		alphaFunc GT0
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		depthFunc equal
	}
}
textures/cmm_australia/light1
{
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cmm_australia/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cmm_australia/light1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
models/mapobjects/cmm_palmtree/palmtree
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_palmtree/palmtree.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
models/mapobjects/azlcmb1_jump_plants/spikey
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_jump_plants/spikey.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
models/mapobjects/azlcmb1_jump_plants/cheese
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_jump_plants/cheese.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
models/mapobjects/azlcmb1_jump_plants/donkey
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_jump_plants/donkey.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
models/mapobjects/azlcmb1_jump_plants/fern
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_jump_plants/fern.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}
models/mapobjects/cmm_xan_trims/light1
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3800
	q3map_lightimage models/mapobjects/cmm_xan_trims/trimmetal.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/cmm_xan_trims/trimmetal.tga
	}
}

models/mapobjects/cmm_xan_trims/light2
{
	light 1
	surfaceparm nomarks
	q3map_surfacelight 4800
	q3map_lightimage models/mapobjects/cmm_xan_trims/trimmetal.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/cmm_xan_trims/trimmetal.tga
	}
}

textures/cmm_australia/crossfence
{
	cull none
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip

	{
		map textures/cmm_australia/crossfence.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/cmm_australia/fanblade
{
	q3map_forcemeta
	surfaceparm alphashadow
	cull none
	{
		clampmap textures/cmm_australia/fanblade.tga
		rgbGen identity
		tcMod rotate 444
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

textures/cmm_australia/thewater
{
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_fancywater .4 1 1 1
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	{
		map textures/cmm_australia/water1_2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/cmm_australia/water1_1.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/cmm_australia/water1_2.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

// Palm tree models use this

models/mapobjects/cmm_palms/cmmpalm
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_palms/cmmpalm.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Tried to smooth this low poly rock

models/mapobjects/cmm_rocks/rock2
{
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
		}
	{
		map models/mapobjects/cmm_rocks/rock2.tga
		blendFunc filter
	}
}

models/mapobjects/cmm_palmtree/palmtree
{
	qer_editorimage models/mapobjects/cmm_palmtree/palmtree.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_palmtree/palmtree.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

models/mapobjects/cmm_xan_trims/light1
{
    q3map_lightRGB 1 1 1
    q3map_surfacelight 1000

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map models/mapobjects/cmm_xan_trims/trimmetal.tga
        alphaFunc GE128
        alphaGen const 0
    }
}

models/mapobjects/cmm_xan_trims/light2
{
    q3map_lightRGB 1 1 1
    q3map_surfacelight 3000

    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    {
        map models/mapobjects/cmm_xan_trims/trimmetal.tga
        alphaFunc GE128
        alphaGen const 0
    }
}

textures/cmm_australia/crossfence
{
	cull none
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip

	{
		map textures/cmm_australia/crossfence.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
textures/cmm_australia/fanblade
{
	qer_editorimage textures/cmm_australia/fanblade.tga
	q3map_forcemeta
	surfaceparm alphashadow
	cull none
	{
		clampmap textures/cmm_australia/fanblade.tga
		rgbGen identity
		tcMod rotate 444
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}


// Palm tree models use this

models/mapobjects/cmm_palms/cmmpalm
{
	qer_editorimage models/mapobjects/cmm_palms/cmmpalm.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_palms/cmmpalm.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Tried to smooth this low poly rock

models/mapobjects/cmm_rocks/rock2
{
	qer_editorimage models/mapobjects/cmm_rocks/rock2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
		}
	{
		map models/mapobjects/cmm_rocks/rock2.tga
		blendFunc filter
	}
}

models/mapobjects/cmm_australia/cheese
{
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/cmm_australia/cheese.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

models/mapobjects/cmm_australia/drinksfront
{
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/cmm_australia/drinksfront.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

models/mapobjects/cmm_australia/icefront
{
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/cmm_australia/icefront.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



